# -*- encoding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (c) 2017 Eynes (http://www.eynes.com.ar)
#    All Rights Reserved. See AUTHORS for details.
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from odoo import api, fields, models, _
import logging

logger = logging.getLogger(__name__)


class StockPicking(models.Model):
    _inherit = 'stock.picking'

    manual_weight = fields.Float("Manual Weight")
    declared_value = fields.Float("Declared Value")
    control = fields.Integer("Control")


class StockMove(models.Model):
    _inherit = 'stock.move'

    def _prepare_procurement_values(self):
        """ Some products do not need to be chained """
        res = super(StockMove, self)._prepare_procurement_values()
        if self.product_id.product_tmpl_id.no_chain_move:
            logger.warning('[sm #%s] %s will not chain moves. procure_method=make_to_stock' % (self.id, self.product_id))
            self.procure_method = 'make_to_stock'
            res['move_dest_ids'] = False
        return res


class StockMoveLine(models.Model):
    _inherit = 'stock.move.line'

    treatment_id = fields.Many2one('product.treatments', string='Treatment')
